
QGIS Application - Bug report #10309

On-the-fly projection of EPSG 4326 World Map gives weird results with specific target systems

2014-05-20 01:59 AM - mlennert -

Status: Closed

Priority: High

Assignee:

Category: Projection Support

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 18734

Description

    -  Download Natural Earth 1:110m Admin 0 - Countries file: 

http://www.naturalearthdata.com/http//www.naturalearthdata.com/download/110m/cultural/ne_110m_admin_0_countries.zip

    -  Open in QGIS 2.2 (Debian Testing package 2.2.0-1+b2)

    -  Reproject on-the-fly to World-Mollweide (EPSG 54009) and to NSIDC EASE-Grid Global (EPSG 3410): very weird results (see

attached images)

    -  Create a new shapefile in either of the two projections using Save as... the result shows none of that weirdness (see

mollweide-saveas.jpg)

We were able to reproduce on Debian Testing, Win 7 and Mac OSX.

History

#1 - 2014-05-20 02:02 AM - mlennert -

Some additional info on package versions on Debian testing:

gdal: 1.10.1+dfsg-5+b1

proj: 4.8.0-2

#2 - 2014-05-20 11:19 AM - Andre Joost

Works for me on Windows 7 with QGIS 2.2 standalone and latest QGIS-dev.

#3 - 2017-01-09 01:04 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed

Works fine here too on 2.18.2

Files

mollweide.jpg 41.9 KB 2014-05-19 mlennert -

ease-grid.jpg 36.3 KB 2014-05-19 mlennert -
